---
apiVersion: v1
kind: Namespace
metadata:
  name: amq-broker-operator-olm
---
apiVersion: operators.coreos.com/v1alpha2
kind: OperatorGroup
metadata:
  name: amq-broker-operator
  namespace: amq-broker-operator-olm
spec:
  targetNamespaces:
    - jdbc-shared-store
    - my-other-ns
---
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: amq-broker-operator-olm-sub
  namespace: amq-broker-operator-olm
spec:
  channel: 7.12.x
  name: amq-broker-rhel8
  source: redhat-operators-catalog
  sourceNamespace: olm
  installPlanApproval: Automatic
  config:
    env:
    - name: ARGS
      value: --zap-log-level=info
